Index: Detection
===================================================================
--- Detection	(revision 36838)
+++ Detection	(working copy)
@@ -7,7 +7,7 @@
 surveyID        dimensionless   TINYINT 1         NA    survey flag identifier
 imageID         dimensionless   BIGINT  8         NA    image id hash of frame identifier & OTA/CCD number
 randomDetID     dimensionless   BIGINT  8         NA    random detection Id
-dvoRegionID     dimensionless   REAL    4       -999    identifier to dvo spatial region
+dvoRegionID     dimensionless   INT     4          0    identifier to dvo spatial region
 obsTime         MeanJulianDays  FLOAT   8       -999    Time of mid observation in Mean Julian Days
 xPos            raw pixels      REAL    4       -999    measured x on CCD from PSF fit
 yPos            raw pixels      REAL    4       -999    measured y on CCD from PSF fit
@@ -53,7 +53,8 @@
 kronRadErr      arcsec      	REAL    4       -999    Kron radius error
 sky             adu/sec/pixel   REAL    4       -999    PSF sky level at source
 skyErr          adu/sec/pixel   REAL    4       -999    estimated error in sky
-infoFlag        dimensionless   BIGINT  8       -999    flag indicating provenance information
+infoFlag        dimensionless   INT     4       -999    flag indicating provenance information
+infoFlag2       dimensionless   INT     4       -999    flag indicating provenance information
 dataRelease     dimensionless   TINYINT 1         NA    Data release when this detection was originally taken. Recalibrations do not affect this value.
 --
 -- [231 bytes/det]
Index: StackApFlx
===================================================================
--- StackApFlx	(revision 36838)
+++ StackApFlx	(working copy)
@@ -1,6 +1,7 @@
 
 objID            dimensionless  BIGINT  8       NA      ODM object identifier
 gcObjID		dimensionless	BIGINT	8	  NA 	ODM galactic coordinates identifier
+ippObjID         dimensionless  BIGINT  8       NA      ipp object identifier
 surveyID         dimensionless  TINYINT 1       0       stack type identifier
 skyCellID        dimensionless  REAL    4       -999    single float giving PrimaryCell.SkyCell identifier 
 randomStackObjID dimensionless  BIGINT  8       NA      random stack id
@@ -8,13 +9,12 @@
 primaryDetection dimensionless  TINYINT 1       255     identifies if this row is a primary stack detection. True about 80% of time. 
 bestDetection    dimensionless  TINYINT 1       255     identifies if this row is a best detection or not. Also set if only a primary detection exists.   
 --                                                      the Primary Dectection, 0 to 3 possible secondary dectections, and the "best" per filter.  
-dvoRegionID      dimensionless  REAL    4       -999    identifier to dvo spatial region
+dvoRegionID     dimensionless   INT    4       -999    identifier to dvo spatial region
 dataRelease     dimensionless   TINYINT 1       NA      Data release when this table was loaded.
 ------------------------------------------------------- replicate to end for each filter g,r,i,z,y
+gippDetectID    dimensionless   BIGINT  8       NA      stack identifier
 gstackDetectID  dimensionless   BIGINT  8       NA      ODM detection identifier
 gstackMetaID    dimensionless   BIGINT  8       NA      stack identifier
-gippObjID        dimensionless  BIGINT  8       NA      ipp object identifier
-gippDetectID    dimensionless   BIGINT  8       NA      stack identifier
 --------------------------------------------------------unconvolved
 gflxR3          adu/seconds     REAL    4       -999    Flux inside r = 3
 gflxR3Err       adu/seconds     REAL    4       -999    estimated error is flxR3
Index: ForcedWarpMeasurement
===================================================================
--- ForcedWarpMeasurement	(revision 36838)
+++ ForcedWarpMeasurement	(working copy)
@@ -8,7 +8,7 @@
 forcedWarpID    dimensionless   BIGINT  8       NA      IPP warp_id
 randomWarpID    dimensionless   BIGINT  8       NA      Random warp_id
 skyCellID       dimensionless   REAL    4       -999    single float giving PrimaryCell.SkyCell identifier 
-dvoRegionID     dimensionless   REAL    4       -999    identifier to dvo spatial region
+dvoRegionID     dimensionless   INT     4       -999    identifier to dvo spatial region
 obsTime         MeanJulianDays  FLOAT   8       -999    Time of mid observation in Mean Julian Days
 ------------------------------------------------------ 
 zp              magnitude       REAL    4       0       zeropoint (only thing needed to convert adu/sec to AB mag), note no zpErr
Index: DiffDetection
===================================================================
--- DiffDetection	(revision 36838)
+++ DiffDetection	(working copy)
@@ -1,3 +1,4 @@
+
 diffObjID	dimensionless 	BIGINT 	8 	NA 	diff object identifier
 diffgcObjID		dimensionless	BIGINT	8	  NA 	ODM galactic coordinates identifier
 diffDetID 	dimensionless 	BIGINT 	8 	NA 	diff detection identifier
@@ -8,7 +9,7 @@
 surveyID 	dimensionless 	TINYINT	1 	NA 	survey flag identifierr
 randomDiffID 	dimensionless 	BIGINT 	8 	NA 	random diff id  
 skyCellID       dimensionless   REAL    4       -999    single float giving PrimaryCell.SkyCell identifier 
-dvoRegionID     dimensionless   REAL    4       -999    identifier to dvo spatial region
+dvoRegionID     dimensionless   INT     4          0    identifier to dvo spatial region
 obsTime 	MeanJulianDays 	FLOAT 	8 	-999 	Time of mid observation of positive detection in Mean Julian Days of positive detection
 xPos 		pixels 		REAL 	4 	-999 	measured x on diff image sky cell PSF fit
 yPos 		pixels 		REAL 	4 	-999 	measured y on diff image sky cell from PSF fit
@@ -65,5 +66,6 @@
 -------------------------------------------------------
 sky 		adu/sec/pixel 	REAL 	4 	-999 	PSF sky level at source
 skyErr 		adu/sec/pixel 	REAL 	4 	-999 	estimated error in sky
-infoFlag 	dimensionless 	BIGINT 	8 	-999 	flag indicating provenance information
+infoFlag 	dimensionless 	INT     4 	-999 	flag indicating provenance information
+infoFlag2	dimensionless 	INT     4 	-999 	flag indicating provenance information
 dataRelease 	dimensionless 	TINYINT	1 	NA 	Data release when this detection was originally taken. Recalibrations do not affect this value.
Index: ObjectThin
===================================================================
--- ObjectThin	(revision 36838)
+++ ObjectThin	(working copy)
@@ -9,7 +9,7 @@
 zoneID           dimensionless  INT      4      NA      Zone index
 randomID         dimensionless  BIGINT   8      0       Random integer between 0 and 2^32 = 4,394,967,296 remaining ramdom integer 0  
 batchID          dimensionless  BIGINT   8      -999    batch id        
-dvoRegionID      dimensionless  REAL     4      -999    identifier of dvo spatial region - dvo cat id
+dvoRegionID      dimensionless  INT      4      -999    identifier of dvo spatial region - dvo cat id
 dataRelease      dimensionless  TINYINT  1      NA      Data release Version of this table
 objInfoFlag      dimensionless  BIGINT   8      -999    flag indicating odd properties
 qualityFlag      dimensionless  TINYINT  1      0       subset of objInfoFlag - flags related to goodness of object
Index: StackModelFit
===================================================================
--- StackModelFit	(revision 36838)
+++ StackModelFit	(working copy)
@@ -1,6 +1,7 @@
 
 objID            dimensionless  BIGINT  8       NA      ODM object identifier
 gcObjID		dimensionless	BIGINT	8	  NA 	ODM galactic coordinates identifier
+ippObjID         dimensionless  BIGINT  8       NA      ipp object identifier
 surveyID         dimensionless  TINYINT 1       NA      survey flag identifier
 skyCellID        dimensionless  REAL    4       -999    single float giving PrimaryCell.SkyCell identifier 
 randomStackObjID dimensionless  BIGINT  8       NA      random stack id
@@ -8,17 +9,17 @@
 primaryDetection dimensionless  TINYINT 1       255     identifies if this row is a primary stack detection. True about 80% of time. 
 bestDetection    dimensionless  TINYINT 1       255     identifies if this row is a best detection or not. Also set if only a primary detection exists.   
 --                                                      the Primary Dectection, 0 to 3 possible secondary dectections, and the "best" per filter.  
-dvoRegionID      dimensionless  REAL    4       -999    identifier to dvo spatial region
+dvoRegionID      dimensionless  INT     4       -999    identifier to dvo spatial region
 dataRelease      dimensionless  TINYINT 1       NA      Data release when this table was loaded
 -------------------------------------------------------- replicate below for all filters (grizy)
 glogC           dimensionless   REAL    4       -999    concentration index 
 glogA           dimensionless   REAL    4       -999    asymmetry index
 gclump          dimensionless   REAL    4       -999    clumpiness factor   
 -------------------------------------------------------- replicate below for all filters (grizy)
+gippDetectID    dimensionless   BIGINT  8       NA      ipp detect identifier
 gstackDetectID  dimensionless   BIGINT  8       NA      ODM detection identifier
 gstackMetaID    dimensionless   BIGINT  8       NA      stack identifier
-gippObjID       dimensionless  BIGINT  8       NA      ipp object identifier
-gippDetectID    dimensionless   BIGINT  8       NA      ipp detect identifier
+----------------------------------------------------------------------------------------
 gdeVRadius      arcsec          REAL    4       -999    deVaucouleurs radius
 gdeVRadiusErr   arcsec          REAL    4       -999    estimated error in deVaucouleurs radius
 gdeVFlux        adu/seconds     REAL    4       -999    deVaucouleurs flux
Index: ForcedMeanObject
===================================================================
--- ForcedMeanObject	(revision 36838)
+++ ForcedMeanObject	(working copy)
@@ -1,3 +1,4 @@
+
 objID           dimensionless   BIGINT   8        NA    ODM object identifier index
 gcObjID		dimensionless	BIGINT	8	  NA 	ODM galactic coordinates identifier
 ippObjID        dimensionless   BIGINT   8        NA    IPP object identifier
Index: DiffDetObject
===================================================================
--- DiffDetObject	(revision 36838)
+++ DiffDetObject	(working copy)
@@ -9,7 +9,7 @@
 zoneID 		dimensionless 	INT 	4 	NA 	Zone index
 randomID 	dimensionless 	BIGINT 	8 	0 	Random integer between 0 and 2^32 = 4,394,967,296 remaining ramdom integer 0  
 batchID 	dimensionless	BIGINT 	8 	-999 	
-dvoRegionID     dimensionless  	REAL    4       -999    identifier to dvo spatial region
+dvoRegionID     dimensionless  	INT     4       -999    identifier to dvo spatial region
 objInfoFlag 	dimensionless 	BIGINT 	8 	-999 	flag indicating odd properties
 qualityFlag 	dimensionless 	TINYINT 1 	0 	subset of objInfoFlag - flags related to goodness of object
 consistencyFlag	dimensionless 	SMALLINT2 	0 	Value computed from associated detections, it is originally given by IPP and should agree with the ODM validation
Index: StackObject
===================================================================
--- StackObject	(revision 36838)
+++ StackObject	(working copy)
@@ -1,6 +1,7 @@
 
 objID             dimensionless   BIGINT  8       NA      ODM object identifier
 gcObjID		dimensionless	BIGINT	8	  NA 	ODM galactic coordinates identifier
+ippObjID          dimensionless   BIGINT  8       NA      object ID generated by IPP
 surveyID          dimensionless   TINYINT 1       NA      survey flag identifier
 skyCellID         dimensionless   REAL    4       -999    single float giving PrimaryCell.SkyCell identifier 
 randomStackObjID  dimensionless   BIGINT  8       NA      random stack id
@@ -8,16 +9,16 @@
 primaryDetection  dimensionless   TINYINT 1       255     identifies if this row is a primary stack detection. True about 80% of time. 
 bestDetection     dimensionless   TINYINT 1       255     identifies if this row is a best detection or not. Also set if only a primary detection exists.   
                                                           the Primary Dectection, 0 to 3 possible secondary dectections, and the "best" per filter.  
-dvoRegionID       dimensionless   REAL    4       -999    identifier to dvo spatial region
+dvoRegionID       dimensionless   INT     4       -999    identifier to dvo spatial region
 dataRelease       dimensionless   TINYINT 1       NA      Data release when this detection was originally taken.
 ------------------------------------------------------------------------------------------
 -- attributes for all stack detections in all filters (these are currently forced anyway) 
 -- Replicate the section below for each filter, changing the prefex ("g" in this example) 
 ------------------------------------------------------------------------------------------
-gippObjID         dimensionless   BIGINT  8       NA      object ID generated by IPP
 gippDetectID      dimensionless   BIGINT  8       NA      detection ID generated by IPP
 gstackDetectID    dimensionless   BIGINT  8       NA      ODM detection identifier
 gstackMetaID      dimensionless   BIGINT  8       NA      stack identifier
+------------------------------------------------------------------------------------------
 gxPos             arcsec          REAL    4       -999    measured x in sky Cell from PSF fit
 gyPos             arcsec          REAL    4       -999    measured y in sky Cell from PSF fit
 gxPosErr          arcsec          REAL    4       -999    estimated error in x
@@ -57,7 +58,8 @@
 gKronMagErr  	  AB magnitude    REAL    4       -999    estimated error of g kron AB magnitude from stack
 gsky              adu/secs/arcsec REAL    4       -999    PSF sky level at source (adu)
 gskyErr           adu/secs/arcsec REAL    4       -999    estimated error in sky
-ginfoFlag         dimensionless   BIGINT  8       -999    indicator of strange propeties
+ginfoFlag         dimensionless   INT     4       -999    indicator of strange propeties
+ginfoFlag2        dimensionless   INT     4       -999    indicator of strange propeties
 gnFrames          dimensionless   INT     4       -999    Number of frames contributing to source
 
 -- [220 byte/filter/obj + 44 byte/obj]
